crashpad::RangeSet Class Reference

A set of VMAddress ranges. More...

`#include "util/misc/range_set.h"`

## Public Member Functions

void | Insert (VMAddress base, VMSize size)
| Inserts a range into the set. More...
bool | Contains (VMAddress address) const
| Returns `true` if address falls within a range in this set.

## Detailed Description

A set of VMAddress ranges.

## Member Function Documentation

## Insert()

void crashpad::RangeSet::Insert | ( | VMAddress | base,
|  | VMSize | size
| ) |  |

Inserts a range into the set.

Parameters

  [in] | base | The low address of the range.
  [in] | size | The size of the range.

The documentation for this class was generated from the following files:

- util/misc/range_set.h
- util/misc/range_set.cc